import 'dart:async';

import 'package:flutter/services.dart';

class SimDhaman {
  static const MethodChannel _channel = const MethodChannel('sim_dhaman');

  // static Future<String> get platformVersion async {
  //   final String version = await _channel.invokeMethod('getPlatformVersion');
  //   return version;
  // }

  static Future<void> call_on_simcard(
      String numberToDial, String carrier) async {
    _channel.invokeMethod(
        'dialByCarrier', {"numberToDial": numberToDial, "carrier": carrier});
  }

  static Future<List<String>> allsimcard() async {
    var carriers = await _channel.invokeMethod('getCarriers') as List<dynamic>;
    return new List<String>.from(carriers);
  }
}
